# HighPoint tarball used --
# RR64xl-Linux-Src-v1.3-130325-0207.tar.gz

# Define the kmod package name here.
%define kmod_name rr64xl

# Define the bundle name and source creation date-time here.
%define bundle_name rr64xl-linux-src
%define scdt 130325-0207

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-358.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 1.3
Release: 1%{?dist}
Group:   System Environment/Kernel
License: HighPoint
Summary: %{kmod_name} kernel module(s)
URL:     http://www.highpoint-tech.com/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
Source0:  www.highpoint-tech.com/BIOS_Driver/RR64xL/Linux/RR64xl-Linux-Src-v%{version}-%{scdt}.tar.gz
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh
Source15: rr64xl-modules

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the HighPoint RocketRAID %{kmod_name} kernel module(s).
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -n %{bundle_name}-v%{version}
echo "override rr640l * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
pushd product/%{kmod_name}/linux >/dev/null
%{__make} KERNELDIR=%{_usrsrc}/kernels/%{kversion}
popd >/dev/null

%install
%{__install} -d %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} product/%{kmod_name}/linux/rr640l.ko %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_sysconfdir}/sysconfig/modules/
%{__install} %{SOURCE15} %{buildroot}%{_sysconfdir}/sysconfig/modules/%{kmod_name}.modules
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} README %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Sat Sep 6 2014 Mark Summers <womagrid@gmail.com> - 1.3-1
- Initial el6 build of the kmod package.
